#include <iostream>
#include <string>
using namespace std;

int min1(int a,int b){
    if(a<b)
        return a;
    else
        return b;
}

int max1(int a,int b){
    if(a>b)
        return a;
    else
        return b;

}

int main(){
    char c1,c2;
    int a,b,i;
    cin>>c1>>c2;
    cin>>a>>b;
    string r;
    if(a==b){
        for(i=0;i<a+b;i++){
            if(i%2==0)
                r.push_back(c1);
            else
                r.push_back(c2);
        }
    }
    else if(max1(a,b)-min1(a,b)==1){
        if(a>b){
            for(int i=0;i<a+b;i++){
                if(i%2==0)
                    r.push_back(c1);
                else
                    r.push_back(c2);
            }
        }
        else{
            for(int i=0;i<a+b;i++){
                if(i%2==0)
                    r.push_back(c2);
                else
                    r.push_back(c1);
            }
        }
    }
    else{
        r="nemoguce";
    }
    cout<<r;



    return 0;
}